## hugo 0.151.2

=== debian/changelog ===
hugo (0.151.2-1) unstable; urgency=medium

  * New upstream version 0.151.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 17 Oct 2025 15:18:35 +0200
