## hugo 0.152.1

=== debian/changelog ===
hugo (0.152.1-1) unstable; urgency=medium

  * New upstream version 0.152.1
    - Update build dependencies as per go.mod
    - Update go-i18n to commit cfcc22d823c65debe8bab0b73a1057c16e9672b6
    - Update Build-Depends:
      - Remove golang-github-ghodss-yaml-dev
      - Add golang-github-goccy-go-yaml-dev
  * Skip flaky test during autopkgtest on riscv64
  * Use Debian package golang-github-microcosm-cc-bluemonday-dev
    instead of local copy
  * Try enabling more architectures for hugo by using golang-any
    instead of golang-go.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Oct 2025 22:43:14 +0200
