## hugo 0.152.2

=== debian/changelog ===
hugo (0.152.2-1) unstable; urgency=medium

  * New upstream version 0.152.2
    - Update dependency on golang-github-tdewolff-parse-dev and
      golang-github-tdewolff-minify-dev
  * Increase minimum version of go to 1.23.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Oct 2025 23:50:23 +0100
