=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  dh-sequence-bash-completion,
  dh-sequence-golang,
  asciidoctor,
- golang-any (>= 2:1.20~),
  golang-github-alecthomas-chroma-v2-dev (>= 2.20.0),
  golang-github-armon-go-radix-dev (>= 1.0.0+git20221118.54df44f),
  golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
@@ -84,10 +83,11 @@
  golang-github-spf13-cobra-dev (>= 1.8.1),
  golang-github-spf13-fsync-dev (>= 0.10.1),
  golang-github-spf13-pflag-dev (>= 1.0.5),
- golang-github-tdewolff-minify-dev (>= 2.24.4),
- golang-github-tdewolff-parse-dev (>= 2.8.4),
+ golang-github-tdewolff-minify-dev (>= 2.24.5),
+ golang-github-tdewolff-parse-dev (>= 2.8.4-2),
  golang-github-yuin-goldmark-dev (>= 1.7.13),
  golang-github-yuin-goldmark-emoji-dev (>= 1.0.3),
+ golang-go (>= 2:1.23~),
  golang-gocloud-dev (>= 0.24.0),
 # golang-gocloud-dev (>= 0.38.0),
  golang-golang-x-exp-dev (>= 0.0~git20221028.83b7d23-2~),
