=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,6 @@
 # about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
 # for now, pending further investigation. (see commit 29cc37f)
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/getkin/kin-openapi
-EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/microcosm-cc/bluemonday
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/tetratelabs/wazero
 execute_before_dh_auto_configure:
 	for i in $(EXTRA_NON_GOHUGOIO_GO_MODULES); do \
