## hugo 0.153.0

=== debian/changelog ===
hugo (0.153.0-1) unstable; urgency=medium

  * New upstream version 0.153.0
    - Refresh patches
    - Add local copy of github.com/bep/textandbinarywriter
    - Add local copy of github.com/gohugoio/go-radix
    - Remove local copy of github.com/gohugoio/testmodBuilder
    - Update local copy of github.com/tetratelabs/wazero to v1.10.1
    - Update build dependencies according to go.mod
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 20 Dec 2025 00:36:26 +0100
