=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  dh-sequence-bash-completion,
  dh-sequence-golang,
  asciidoctor,
- golang-github-alecthomas-chroma-v2-dev (>= 2.20.0),
- golang-github-armon-go-radix-dev (>= 1.0.0+git20221118.54df44f),
+ golang-github-alecthomas-chroma-v2-dev (>= 2.21.1),
  golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
  golang-github-aymerick-douceur-dev,
  golang-github-bep-clocks-dev (>= 0.5.0),
@@ -32,6 +31,7 @@
  golang-github-bep-overlayfs-dev (>= 0.9.2),
  golang-github-bep-simplecobra-dev (>= 0.4.0),
  golang-github-bep-tmc-dev (>= 0.5.1),
+ golang-github-bits-and-blooms-bitset-dev (>= 1.24.0),
  golang-github-burntsushi-locker-dev,
  golang-github-cespare-xxhash-dev (>= 2.3.0),
  golang-github-clbanning-mxj-dev (>= 2.7.0),
@@ -77,10 +77,9 @@
  golang-github-pkg-browser-dev,
  golang-github-rogpeppe-go-internal-dev (>= 1.14.1),
  golang-github-rwcarlsen-goexif-dev (>= 0.0~git20190401.9e8deec),
- golang-github-sanity-io-litter-dev (>= 1.5.5),
  golang-github-spf13-afero-dev (>= 1.11.0),
  golang-github-spf13-cast-dev (>= 1.6.0),
- golang-github-spf13-cobra-dev (>= 1.8.1),
+ golang-github-spf13-cobra-dev (>= 1.10.0),
  golang-github-spf13-fsync-dev (>= 0.10.1),
  golang-github-spf13-pflag-dev (>= 1.0.5),
  golang-github-tdewolff-minify-dev (>= 2.24.5),
