## hugo 0.153.1

=== debian/changelog ===
hugo (0.153.1-3) unstable; urgency=medium

  * Fix patch to skip actual failing test. D'oh!

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Dec 2025 19:19:17 +0100

hugo (0.153.1-2) unstable; urgency=medium

  * Add patch to enable building on i386 and armhf
    The WebP image with an animation cannot be processed on those
    architectures, the test times out. Disable the test for now
    and investigate the problem.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Dec 2025 17:26:57 +0100

hugo (0.153.1-1) unstable; urgency=medium

  * New upstream version 0.153.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 21 Dec 2025 22:50:35 +0100
