## hugo 0.153.2

=== debian/changelog ===
hugo (0.153.2-1) unstable; urgency=medium

  * New upstream version 0.153.2
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3
  * Add libwebp7 to Depends of binary package

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 23 Dec 2025 18:15:52 +0100
