## hugo 0.154.1

=== debian/changelog ===
hugo (0.154.1-1) unstable; urgency=medium

  * New upstream version 0.154.1
    - Refresh patches
    - Update local copy of github.com/tetratelabs/wazero to v1.11.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 02 Jan 2026 23:33:23 +0100
