## hugo 0.154.2

=== debian/changelog ===
hugo (0.154.2-2) unstable; urgency=medium

  * Skip tests on failing architectures

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 06 Jan 2026 21:22:33 +0100

hugo (0.154.2-1) unstable; urgency=medium

  * New upstream version 0.154.2
    - Refresh patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Jan 2026 22:14:31 +0100
