## hugo 0.154.3

=== debian/changelog ===
hugo (0.154.3-1) unstable; urgency=medium

  * New upstream version 0.154.3
    - Refresh and extend patches
  * Add format for upstream-vcs-tag to gbp.conf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Jan 2026 20:52:28 +0100
