=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hugo
 Section: web
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Anthony Fok <foka@debian.org>,
@@ -107,7 +106,7 @@
  python3-docutils,
  tzdata,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
 Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -117,6 +116,7 @@
 Architecture: any
 Depends:
  libsass1 (>= 3.6.5),
+ libwebp7,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
