## hugo 0.154.5

=== debian/changelog ===
hugo (0.154.5-1) unstable; urgency=medium

  * New upstream version 0.154.5
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Jan 2026 20:59:22 +0100
