=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 # github.com/bep/imagemeta v0.7.5
 # Need to find copyright information for testdata images before packaging
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/imagemeta
+EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/textandbinarywriter
 # github.com/getkin/kin-openapi v0.123.0
 # Upstream has received reports from users of Hugo's `openapi3.Unmarshal`
 # about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
@@ -82,10 +83,10 @@
 # github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
 # See https://github.com/gohugoio/hugo/issues/7838
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
+EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-radix
 # github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/hugo-goldmark-extensions
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/localescompressed
-EXTRA_GOHUGOIO_GO_MODULES += gohugoio/testmodBuilder
 execute_after_dh_auto_configure:
 	for i in $(EXTRA_GOHUGOIO_GO_MODULES); do \
 	    ln -s $(CURDIR)/debian/go/src/github.com/$$i \
