## hugo 0.155.1

=== debian/changelog ===
hugo (0.155.1-1) unstable; urgency=medium

  * New upstream version 0.155.1
    - Refresh patches
    - Add new upstream files to d/copyright
    - Update build dependencies according to go.mod
    - Update local copy of bep/imagemeta to v0.14.0
  * Remove local copy of github.com/tetratelabs/wazero
  * Add golang-github-tetratelabs-wazero-dev (>= 1.11.0) to Build-Depends
  * Add local copy of github.com/gohugoio/gift v0.2.0
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Jan 2026 16:10:24 +0100
