=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-bash-completion,
  dh-sequence-golang,
  asciidoctor,
- golang-github-alecthomas-chroma-v2-dev (>= 2.21.1),
+ golang-github-alecthomas-chroma-v2-dev (>= 2.23.1),
  golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
  golang-github-aymerick-douceur-dev,
  golang-github-bep-clocks-dev (>= 0.5.0),
@@ -83,13 +83,14 @@
  golang-github-spf13-pflag-dev (>= 1.0.5),
  golang-github-tdewolff-minify-dev (>= 2.24.5),
  golang-github-tdewolff-parse-dev (>= 2.8.4-2),
+ golang-github-tetratelabs-wazero-dev (>= 1.11.0),
  golang-github-yuin-goldmark-dev (>= 1.7.13),
  golang-github-yuin-goldmark-emoji-dev (>= 1.0.3),
- golang-go (>= 2:1.23~),
+ golang-go (>= 2:1.24~),
  golang-gocloud-dev (>= 0.24.0),
 # golang-gocloud-dev (>= 0.38.0),
  golang-golang-x-exp-dev (>= 0.0~git20221028.83b7d23-2~),
- golang-golang-x-image-dev (>= 0.18.0),
+ golang-golang-x-image-dev (>= 0.35.0),
  golang-golang-x-mod-dev (>= 0.19.0),
  golang-golang-x-net-dev (>= 1:0.27.0),
  golang-golang-x-sync-dev (>= 0.7.0),
