=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,6 @@
 # about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
 # for now, pending further investigation. (see commit 29cc37f)
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/getkin/kin-openapi
-EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/tetratelabs/wazero
 execute_before_dh_auto_configure:
 	for i in $(EXTRA_NON_GOHUGOIO_GO_MODULES); do \
 	    mkdir -p _build/src/$$(dirname $$i) ; \
@@ -82,6 +81,7 @@
 
 # github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
 # See https://github.com/gohugoio/hugo/issues/7838
+EXTRA_GOHUGOIO_GO_MODULES += gohugoio/gift
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-radix
 # github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}
