## hugo 0.155.2

=== debian/changelog ===
hugo (0.155.2-1) unstable; urgency=medium

  * New upstream version 0.155.2
  * Remove local copy of github.com/bep/imagemeta
  * Add golang-github-bep-imagemeta-dev (>= 0.14.0) to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 07 Feb 2026 18:13:08 +0100
