=== debian/changelog ===
hugo (0.155.3-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.155.3

  [ Otto Kekäläinen ]
  * Salsa CI: Even when disabled, the CI file needs to be valid YAML

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Feb 2026 17:53:16 +0100
