=== debian/rules ===
--- 
+++ 
@@ -64,9 +64,6 @@
 %:
 	dh $@ --builddirectory=_build
 
-# github.com/bep/imagemeta v0.7.5
-# Need to find copyright information for testdata images before packaging
-EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/imagemeta
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/textandbinarywriter
 # github.com/getkin/kin-openapi v0.123.0
 # Upstream has received reports from users of Hugo's `openapi3.Unmarshal`
