## hugo 0.157.0

=== debian/changelog ===
hugo (0.157.0-1) unstable; urgency=medium

  * New upstream version 0.157.0
    - Fixes FTBFS with golang 1.26 (Closes: #1129126)
    - Update test with a distant future date, so that the
      build will not fail during the forky support period.
      (Closes: #1127121)
    - Refresh patches
    - New patch to remove more tests which need an
      internet connection
    - Update file path in DH_GOLANG_INSTALL_EXTRA,
      has been renamed upstream
    - Add Build-Depends:
      + golang-github-bep-imagemeta-dev (>= 0.17.0)
      + golang-github-gohugoio-gift-dev
    - Remove local copy of github.com/gohugoio/gift

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 27 Feb 2026 19:58:10 +0100
