=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  golang-github-bep-goportabletext-dev,
  golang-github-bep-gowebp-dev (>= 0.3.0),
  golang-github-bep-helpers-dev (>= 0.6.0),
- golang-github-bep-imagemeta-dev (>= 0.14.0),
+ golang-github-bep-imagemeta-dev (>= 0.17.0),
  golang-github-bep-lazycache-dev (>= 0.8.0),
  golang-github-bep-logg-dev (>= 0.4.0),
  golang-github-bep-mclib-dev (>= 1.20400.20402),
@@ -47,6 +47,7 @@
  golang-github-gobuffalo-flect-dev (>= 1.0.2),
  golang-github-gobwas-glob-dev,
  golang-github-goccy-go-yaml-dev (>= 1.18.0),
+ golang-github-gohugoio-gift-dev,
  golang-github-gohugoio-hashstructure-dev (>= 0.6.0),
  golang-github-gohugoio-httpcache-dev (>= 0.8.0),
  golang-github-google-go-cmp-dev (>= 0.6.0),
