=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	tpl/tplimpl/embedded/generate
 
 export DH_GOLANG_INSTALL_EXTRA := \
-	create/skeletons/site \
+	create/skeletons/project \
 	create/skeletons/theme \
 	internal/js/esbuild \
 	internal/warpc/wasm \
@@ -78,7 +78,6 @@
 
 # github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
 # See https://github.com/gohugoio/hugo/issues/7838
-EXTRA_GOHUGOIO_GO_MODULES += gohugoio/gift
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-radix
 # github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}
